SIDPLAY(1)

NAME
SIDPLAY - Sidplay is SID-chip emulator for playing Commodore 64 music.

SYNOPSIS
sidplay [ OPTIONS... ] <datafile>
sidplay2 [ OPTIONS... ] <datafile>

DESCRIPTION
Sidplay is a music player that emulates various components from a Commodore 64 (C64) computer. The result is a program which can load and execute C64 machine code programs which produce music and sound. This page covers both Sidplay versions 1 and 2, Sidplay being an frame based emulation capable of playback on low specification PCs. Sidplay2 on the other hand has been designed for accuracy which results in a much higher cpu usage. Additional playback modes have however been provided to allow playback on low specification machines at the cost of accuracy, but it still has a higher cpu demand than Sidplay.

COMMON OPTIONS

--help|-h
    Display help.

-f<num>
    Set frequency in Hz (default: 44100).

-nf No filter emulation. This will reduce CPU overhead at the cost of reduced sound quality.

-ns Emulate MOS8580 waveforms (default: MOS6581).

-o<num>
    Select track number (default: preset).

-s  Stereo Hardware support. For Sidplay the channels for the sid will be split into left and right creating a stereo effect. The same effect is present for Sidplay2 unless the tune is identified as stereo. If this is the case then sid 1 and 2 become the left and right channels respectively. For Sidplay other options are provided to produce special effects when in stereo mode, but Sidplay2 does not as yet support these.

-v  Verbose output while playing.

SIDPLAY2 OPTIONS

-b<num>
    Set start time in [mins]:secs format (compatible with sid2wav).

-fd Force dual sid environment. This forces emulation of 2 sid-chips for stereo playback even if datafile is identified as only being mono. This occurs in the case of the stereo sid format as currently there is no way to identify them. Stereo MUS files are however automatically detected. The second sid appears in the 0xD500 address range. -fs By default all samples are played through the SIDs master volume. This can cause the SIDs voices to become disturbed and slightly noisy, but generally no worse than the original tune. This switch can be used to move the samples to there own channel on the soundcard to avoid this problem. Note that this is incompatible with some emulations and will cause he samples to be lost e.g. HardSID.

-m<b|r>
    Mode switch (default -mr). Currently supported modes are:
        Sidplays Bankswitching Mode (-mb).
        Sidplay2s Real C64 emulation mode (-mr).

-nf<filter>
    New SID filter definition. This will redefine ReSIDs internal filter (see the sidplay2 homepage for the file format).

-p<num>
    Set bit precision for samples. The default is 16, but this value will be affected by the hardware available on the platform you are running.

-O<num>
    Optimisation level (default: 0). Increasing the optimisation level will improve the performance of sidplay2 at the cost of accuracy. The maximum optimisation level can be found using

-o<l|s>
    Option 'l' will select continuous track looping while 's' will select the current track instead of all. This option can be combined with the track selection to form -ols<num>.

-q  Quiet output while playing (opposite of verbose).

-s<l|r>
    Playback the left or right stereo channel only.

-t<num>
    Set play length in [mins]:secs format (0 is endless).

-v<n|p>[f]
    Set VIC clock speed. 'n' is NTSC (America, 60Hz) and 'p' is PAL (Europe, 50Hz). Providing an 'f' will prevent speed fixing that tries to compensate automatically for the speed difference. Removing speed speed fixing simulates what happens on a real C64. Options can be written as: -vnf or -vn -vf.

-w[name]|--wav[name]
    Create WAV-file. The default output filename is <datafile>[n].wav where [n] is the tune number should there be more than one in the sid. This allows batch conversion of sid tunes without them overwriting each other. By providing a name you override this default behavior. The output file will be <name> with no tune number is added and <name> IS NOT checked for or appended with a legal wav file extension.

SIDPLAY OPTIONS

-a  strict PlaySID song compatibility (read the docs!).

-a2 bank switching mode (overrides -a).

-16 enable 16-bit sample mixing.

-ss enable stereo surround.

-pc enable centered auto-panning (stereo only).

-n  set NTSC clock speed (default: PAL).

-c  force song speed = clock speed (PAL/NTSC).

-bn<num>
    set number of audio buffer fragments to use.

-bs<num>
    set size 2^<num> of audio buffer fragments.

-b<num>
    set sample buffer size.

NOTES
Place for notes..

OTHER INFORMATION
Sidplay2 Homepage:
    http://sidplay2.sourceforge.net/
Sidplay homepage:
    http://www.geocities.com/SiliconValley/Lakes/5147/
High Voltage Sid Collection (HVSC):
    http://hvsc.c64.org/

AUTHORS
sidplay2 - Simon White <sidplay2@yahoo.com>
sidplay - Michael Schwendt <sidplay@geocities.com>
reSID engine - Dag Lem <resid@nimrod.no>
man-page - Mikko Kilponen <mikil@uni.kaapeli.net>